
Redmine - Defect #5399

Unassigned issues are not visible

2010-04-29 10:17 - Stanislav German-Evtushenko

Status: Closed Start date: 2010-04-29

Priority: Normal Due date:  

Assignee:  % Done: 90%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.3

Description

After redmine upgraded to 0.9.3 I can't see any unassigned issues. I can see these only on the activity page. If I assing issue to

someone it appear on the issues page.

History

#1 - 2010-04-30 13:04 - Jean-Philippe Lang

Please read SubmittingBugs. There's no way I can reproduce this problem.

#2 - 2010-04-30 13:15 - Stanislav German-Evtushenko

About your application's environment

Ruby version              1.8.7 (i586-linux)

RubyGems version          1.3.6

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /mnt/data/redmine/redmine-0.8-tmp

Environment               production

Database adapter          sqlite3

Database schema version   20100221100219

#3 - 2010-04-30 13:29 - Jean-Philippe Lang

Thanks but you'll have to investigate on this problem since I'm not able to reproduce with a fresh 0.9.3.

#4 - 2010-04-30 14:36 - Stanislav German-Evtushenko

I have backup of previous redmine (0.8-stable) and I can try to repeat migration on wednesday.

#5 - 2010-04-30 15:06 - Muntek Singh

I just tested going from a backup copy of 0.8.7 -> 0.9.3 and am unable to reproduce.

#6 - 2010-04-30 22:06 - Stanislav German-Evtushenko

- File Mysterious_issues.png added

I did it again and got the same result. My steps to reproduce:

1. stop redmine

2.
svn switch http://redmine.rubyforge.org/svn/branches/0.9-stable  # from 0.8-stable

3.
RAILS_ENV=production

gem install -v=2.3.5 rails

rake db:migrate RAILS_ENV=$RAILS_ENV

rake db:migrate:upgrade_plugin_migrations RAILS_ENV=$RAILS_ENV

rake db:migrate_plugins RAILS_ENV=$RAILS_ENV

rake tmp:cache:clear
rake tmp:sessions:clear

4.
$RUN "$MONGREL_RAILS start -e $RAILS_ENV -d -p $PORT"

5.  Mysterious_issues.png 

#7 - 2010-04-30 22:08 - Stanislav German-Evtushenko

Please remove this image. I'll make another one.

#8 - 2010-04-30 22:10 - Stanislav German-Evtushenko

- File Mysterious_issues.png added

#9 - 2010-05-05 08:10 - Stanislav German-Evtushenko

- File rake_test.txt added

Problem isn't in database. I've created new DB and got the same result.

I did rake test and attached the log.

#10 - 2010-05-06 00:13 - Stanislav German-Evtushenko

- % Done changed from 0 to 90

I've found what didn't work. After sqlite3 updated from 3.2.8 to 3.6.2 redmine become works.

#11 - 2010-07-05 13:28 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid
